Get file
curl --request GET \
--url https://api.example.com/api/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"owner_id": "<string>",
"name": "<string>",
"size": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bucket_name": "<string>",
"source_url": "<string>",
"s3_url": "<string>",
"access_count": 0,
"created_at": "2023-11-07T05:31:56Z",
"accessed_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
Get file
Get the file details by its unique ID.
GET
/
api
/
files
/
{file_id}
Get file
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the file to retrieve.
Response
File retrieved successfully.
The logged in user's email ID.
Name of the uploaded file.
Size of the file in bytes.
Unique ID for the file.
Name of the S3 bucket that stores this file.
URL from which the file was originally uploaded.
S3 URL of the uploaded file.
Number of times you accessed the file.
Timestamp of the upload.
Timestamp when the file was last accessed.
Was this page helpful?

